Package Gnumed :: Package business :: Module gmExportArea |
[frames] | no frames]

# Module gmExportArea

source code

GNUmed export area

Think shopping cart in a web shop.

This is where you want to put documents for further processing by you or someone else, like your secretary.

Author: K.Hilbert <Karsten.Hilbert@gmx.net>

License: GPL v2 or later

Classes
| cExportItem Represents an item in the export area table
| cExportArea

Functions
get_export_items(order_by=None, pk_identity=None, designation=None, return_pks=False) | source code
get_print_jobs(order_by=None, pk_identity=None) | source code
create_export_item(description=None, pk_identity=None, pk_doc_obj=None, filename=None) | source code
delete_export_item(pk_export_item=None) | source code

Variables
| PRINT_JOB_DESIGNATION = `'print'`
| DOCUMENTS_SUBDIR = `'documents'`
| DIRENTRY_README_NAME = `'.README.GNUmed-DIRENTRY'`

Imports: sys, logging, shutil, os, io, platform, gmTools, gmBusinessDBObject, gmPG2, gmMimeLib, gmDateTime, gmCfg2, gmCrypto, gmDocuments, gmKeywordExpansion